import{s as ie,n as ne,o as le}from"../chunks/scheduler.b108d059.js";import{S as ae,i as oe,g as o,s as l,r as L,A as se,h as s,f as i,c as a,j as ee,u as P,x as b,k as te,y as me,a as n,v as y,d as C,t as M,w as H}from"../chunks/index.008de539.js";import{H as G}from"../chunks/Heading.88bfeb84.js";function re(W){let m,A,_,E,r,S,u,J="Welcome to the 🤗 Optimum-TPU tutorials! Here you’ll find comprehensive examples and guides to help you leverage Google Cloud TPUs effectively with Hugging Face models.",U,p,F,g,D,f,K="Learn how to perform efficient inference for text generation tasks:",k,d,N='<li><strong>Basic Generation Script</strong> (<a href="https://github.com/huggingface/optimum-tpu/blob/main/examples/text-generation/generation.py" rel="nofollow">examples/text-generation/generation.py</a>)<ul><li>Demonstrates text generation using models like Gemma and Mistral</li> <li>Features greedy sampling implementation</li> <li>Shows how to use static caching for improved performance</li> <li>Includes performance measurement and timing analysis</li> <li>Supports custom model loading and configuration</li></ul></li>',O,c,I,h,Q="Explore how to fine-tune language models on TPU infrastructure:",R,x,X='<li><p><strong>Interactive Gemma Tutorial</strong> (<a href="https://github.com/huggingface/optimum-tpu/blob/main/examples/language-modeling/gemma_tuning.ipynb" rel="nofollow">examples/language-modeling/gemma_tuning.ipynb</a>)</p> <ul><li>Complete notebook showing Gemma fine-tuning process</li> <li>Covers environment setup and TPU configuration</li> <li>Demonstrates FSDPv2 integration for efficient model sharding</li> <li>Includes dataset preparation and PEFT/LoRA implementation</li> <li>Provides step-by-step training workflow</li></ul></li> <li><p><strong>LLaMA Fine-tuning Guide</strong> (<a href="https://github.com/huggingface/optimum-tpu/blob/main/examples/language-modeling/llama_tuning.ipynb" rel="nofollow">examples/language-modeling/llama_tuning.ipynb</a>)</p> <ul><li>Detailed guide for fine-tuning LLaMA-2 and LLaMA-3 models</li> <li>Explains SPMD and FSDP concepts</li> <li>Shows how to implement efficient data parallel training</li> <li>Includes practical code examples and prerequisites</li></ul></li>',q,$,j,v,Y='<li>Visit the <a href="https://github.com/huggingface/optimum-tpu" rel="nofollow">Optimum-TPU GitHub repository</a> for more details</li> <li>Explore the <a href="https://cloud.google.com/tpu/docs" rel="nofollow">Google Cloud TPU documentation</a> for deeper understanding of TPU architecture</li>',z,w,Z='For the latest updates and to contribute to these examples, visit our <a href="https://github.com/huggingface/optimum-tpu" rel="nofollow">GitHub repository</a>.',B,T,V;return r=new G({props:{title:"Overview",local:"overview",headingTag:"h1"}}),p=new G({props:{title:"Available Examples",local:"available-examples",headingTag:"h2"}}),g=new G({props:{title:"Text Generation",local:"text-generation",headingTag:"h3"}}),c=new G({props:{title:"Language Model Fine-tuning",local:"language-model-fine-tuning",headingTag:"h3"}}),$=new G({props:{title:"Additional Resources",local:"additional-resources",headingTag:"h2"}}),{c(){m=o("meta"),A=l(),_=o("p"),E=l(),L(r.$$.fragment),S=l(),u=o("p"),u.textContent=J,U=l(),L(p.$$.fragment),F=l(),L(g.$$.fragment),D=l(),f=o("p"),f.textContent=K,k=l(),d=o("ul"),d.innerHTML=N,O=l(),L(c.$$.fragment),I=l(),h=o("p"),h.textContent=Q,R=l(),x=o("ol"),x.innerHTML=X,q=l(),L($.$$.fragment),j=l(),v=o("ul"),v.innerHTML=Y,z=l(),w=o("p"),w.innerHTML=Z,B=l(),T=o("p"),this.h()},l(e){const t=se("svelte-u9bgzb",document.head);m=s(t,"META",{name:!0,content:!0}),t.forEach(i),A=a(e),_=s(e,"P",{}),ee(_).forEach(i),E=a(e),P(r.$$.fragment,e),S=a(e),u=s(e,"P",{"data-svelte-h":!0}),b(u)!=="svelte-71ffny"&&(u.textContent=J),U=a(e),P(p.$$.fragment,e),F=a(e),P(g.$$.fragment,e),D=a(e),f=s(e,"P",{"data-svelte-h":!0}),b(f)!=="svelte-10xx1i4"&&(f.textContent=K),k=a(e),d=s(e,"UL",{"data-svelte-h":!0}),b(d)!=="svelte-9f2oae"&&(d.innerHTML=N),O=a(e),P(c.$$.fragment,e),I=a(e),h=s(e,"P",{"data-svelte-h":!0}),b(h)!=="svelte-fwi7s0"&&(h.textContent=Q),R=a(e),x=s(e,"OL",{"data-svelte-h":!0}),b(x)!=="svelte-119xoby"&&(x.innerHTML=X),q=a(e),P($.$$.fragment,e),j=a(e),v=s(e,"UL",{"data-svelte-h":!0}),b(v)!=="svelte-1lwra8s"&&(v.innerHTML=Y),z=a(e),w=s(e,"P",{"data-svelte-h":!0}),b(w)!=="svelte-fmw4dm"&&(w.innerHTML=Z),B=a(e),T=s(e,"P",{}),ee(T).forEach(i),this.h()},h(){te(m,"name","hf:doc:metadata"),te(m,"content",ue)},m(e,t){me(document.head,m),n(e,A,t),n(e,_,t),n(e,E,t),y(r,e,t),n(e,S,t),n(e,u,t),n(e,U,t),y(p,e,t),n(e,F,t),y(g,e,t),n(e,D,t),n(e,f,t),n(e,k,t),n(e,d,t),n(e,O,t),y(c,e,t),n(e,I,t),n(e,h,t),n(e,R,t),n(e,x,t),n(e,q,t),y($,e,t),n(e,j,t),n(e,v,t),n(e,z,t),n(e,w,t),n(e,B,t),n(e,T,t),V=!0},p:ne,i(e){V||(C(r.$$.fragment,e),C(p.$$.fragment,e),C(g.$$.fragment,e),C(c.$$.fragment,e),C($.$$.fragment,e),V=!0)},o(e){M(r.$$.fragment,e),M(p.$$.fragment,e),M(g.$$.fragment,e),M(c.$$.fragment,e),M($.$$.fragment,e),V=!1},d(e){e&&(i(A),i(_),i(E),i(S),i(u),i(U),i(F),i(D),i(f),i(k),i(d),i(O),i(I),i(h),i(R),i(x),i(q),i(j),i(v),i(z),i(w),i(B),i(T)),i(m),H(r,e),H(p,e),H(g,e),H(c,e),H($,e)}}}const ue='{"title":"Overview","local":"overview","sections":[{"title":"Available Examples","local":"available-examples","sections":[{"title":"Text Generation","local":"text-generation","sections":[],"depth":3},{"title":"Language Model Fine-tuning","local":"language-model-fine-tuning","sections":[],"depth":3}],"depth":2},{"title":"Additional Resources","local":"additional-resources","sections":[],"depth":2}],"depth":1}';function pe(W){return le(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ce extends ae{constructor(m){super(),oe(this,m,pe,re,ie,{})}}export{ce as component};
